CharityBase API Docs
GB-CHC

Aggregate charity data

Aggregate charities currently registered with the Charity Commission for England and Wales

GET
/v1/gb-chc/aggregate

Query Parameters

income_gte?string

Selects charities with income greater than or equal to this value

income_lt?string

Selects charities with income less than this value

expenditure_gte?string

Selects charities with expenditure greater than or equal to this value

expenditure_lt?string

Selects charities with expenditure less than this value

cause_id?string

Selects charities which have this cause ID

region_id?array<string> | null

Selects charities with registered address in these GSS regions (comma separated list)

group_by?string

Field to group the results by

Value in"cause_id" | "beneficiary_id" | "region_id"

Response Body

curl -X GET "https://api.charitybase.uk/v1/gb-chc/aggregate?income_gte=1000&income_lt=100000&expenditure_gte=500&expenditure_lt=50000&cause_id=101&region_id=E12000001%2CE12000002&group_by=cause_id"
{
  "data": [
    {
      "count": 120068,
      "total_income": 2326509923,
      "total_expenditure": 2666800158,
      "group_value": "E12000001"
    }
  ],
  "success": true
}
{
  "error": "Invalid filter parameters",
  "success": false
}
{
  "error": "Invalid filter parameters",
  "success": false
}